Summary: Kernel message trapping daemons.
Name: klogd
Version: 1.3.31
Release: 1.0.10test
Copyright: GPL
Group: System Environment/Daemons
Source0: ftp://sunsite.unc.edu/pub/Linux/system/daemons/klogd-1.3-31.tar.gz
Patch1: sysklogd-1.3-31-klogd-format.patch
patch2: sysklogd-1.3-31-owl-klogd.patch
Patch3: sysklogd-1.3-31-makefile.patch
Prereq: fileutils, /sbin/chkconfig
Conflicts: sysklogd
Requires: logrotate, syslog-ng
BuildRoot: /var/tmp/klog-root

%description
The klogd package contains the klogd system utility 
which provides support for kernel logging. Klogd runs as
a daemon (background process) and logs kernel messages to different
places, like sendmail logs, security logs, error logs, etc.



%prep
%setup -q -n klogd-1.3-31
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
make



%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,usr/{bin,sbin}}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/sbin
install -m755 $RPM_BUILD_DIR/%{name}-1.3-31/klogd $RPM_BUILD_ROOT/sbin/klogd

make install TOPDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%{_mandir}

mkdir -p $RPM_BUILD_ROOT/etc/{logrotate.d}
mkdir -p $RPM_BUILD_ROOT/etc/rc{0,1,2,3,4,5,6}.d

chmod 750 $RPM_BUILD_ROOT/sbin/klogd

cd $RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/sbin/* 


%clean
rm -rf $RPM_BUILD_ROOT



%post



%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del klog
fi



%files
%defattr(-,root,root)
%doc ANNOUNCE README* NEWS INSTALL Sysklogd-1.3.lsm
/sbin/klogd
%doc %{_mandir}/man?/*



%changelog
* Wed Jan 17 2001 Nick DeClario <nick@guardiandigital.com>
- added '-c 1' paramater to klog startup

* Mon Dec 4 2000 Pete O'Hara <pete@guardiandigital.com>
- chmod 700 /etc/init.d/klogd

* Sun Dec 03 2000 Dave Wreski <dave@guardiandigital.com>
- use chkconfig instead of ln

* Sat Dec 2 2000 Pete O'Hara <pete@guardiandigital.com>
- removed creationg of /var/log/i{maillog, secure, spooler}
	as they are not used 
- removed creation of /var/log/messages as this is 
	done by syslog-ng

* Wed Nov 29 2000 Pete O'Hara <pete@guardiandigital.com>
- added success/failure routines to /etc/init.d/klogd
	and  touch /var/lock/subsys/klogd

* Thu Oct 26 2000 Pete O'Hara <pete@guardiandigital.com>
- moved /etc/rc.d/* to /etc
- removed /etc/logrotate.d/klog - not needed at this time

* Thu Oct 19 2000 Pete O'Hara <pete@guardiandigital.com>
- removed entries in /etc/logrotate.d/klog that were 
	duplicates of entries in /etc/lograte.d/syslog-ng

* Wed Sep 20 2000 Nick DeClario <nick@guardiandigital.com>
-  Added sysklogd-1.3-31-owl-syslogd patch to fix the printline() bug
-  Added sysklogd-1.3-31-owl-klogd patch

* Tue Sep 19 2000 Nick DeClario <nick@guardiandigital.com>
- cleaned up spec file
- removed all references to sysklogd

* Thu Jun 29 2000 Pete O'Hara <pete@guardiandigital.com>
- this has been converted to klogd rpm from sysklogd rpm
	and has been seperated from syslogd for use of
	syslog-ng package
- removed world access to init.d/klogd, logrotate.d/klog

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Wed Dec  1 1999 Bill Nottingham <notting@redhat.com>
- add patch to fix segfaults in ksym-less cases from HP

* Mon Nov 15 1999 Bill Nottingham <notting@redhat.com>
- fix ECONNRESETs from security patch (olaf)

* Fri Sep 25 1999 Bill Nottingham <notting@redhat.com>
- eek. The security patch broke *two* things...

* Wed Sep 22 1999 Bill Nottingham <notting@redhat.com>
- make klogd actually work.

* Wed Sep  8 1999 Bill Nottingham <notting@redhat.com>
- rotate boot.log

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- add patch to fix a possible DoS (thanks Olaf Kirch)

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Mon Aug  9 1999 Bill Nottingham <notting@redhat.com>
- patch to fix non-null terminated stuff in klogd

* Mon Jun 21 1999 Bill Nottingham <notting@redhat.com>
- move (sys|k)logd to /sbin

* Tue Apr 13 1999 Bill Nottingham <notting@redhat.com>
- log boot messages to boot.log
- actually put the sysklogd links in the new place

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- disable mark ticks by default

* Thu Apr  1 1999 Bill Nottingham <notting@redhat.com>
- stop klogd/syslogd as late as possible.

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- twiddle initscript to avoid confusion

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- update to sysklogd-1.3-31
- stop klogd *before* syslogd

* Tue Feb  9 1999 Jeff Johnson <jbj@redhat.com>
- escape naked percent chars in kernel messages (#1088).

* Thu Dec 17 1998 Jeff Johnson <jbj@redhat.com>
- rework last-gasp address-in-module oops trace for both 2.0.x/2.1.x modules.

* Mon Dec  7 1998 Jakub Jelinek <jj@ultra.linux.cz>
- make klogd translate SPARC register dumps and oopses.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- add %clean

* Tue Aug  4 1998 Chris Adams <cadams@ro.com>
- only log to entries that are USER_PROCESS (fix #822)

* Mon Jul 27 1998 Jeff Johnson <jbj@redhat.com>
- remove RPM_BUILD_ROOT from %post

* Wed Apr 29 1998 Cristian Gafton <gafton@redhat.com>
- patch to support Buildroot
- package is now buildrooted

* Wed Apr 29 1998 Michael K. Johnson <johnsonm@redhat.com>
- Added exit patch so that a normal daemon exit is not flagged as an error.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added (missingok) to init symlinks

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- added status|restart support to syslog.init
- added chkconfig support
- various spec file cleanups

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
